Bug 519303

Summary: Unable to mount a filesystem after resizing
Product: Red Hat Enterprise Linux 4 Reporter: sivasura <sivag>
Component: e2fsprogsAssignee: Eric Sandeen <esandeen>
Status: CLOSED INSUFFICIENT_DATA QA Contact: BaseOS QE <qe-baseos-auto>
Severity: urgent Docs Contact:
Priority: low    
Version: 4.6CC: agk, dwysocha, edamato, heinzm, jbrassow, mbroz, prockai, sct
Target Milestone: rc   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-01 23:30:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
FSCK Log of our server neelgiri none

Description sivasura 2009-08-26 01:43:46 UTC
Description of problem:

Unable to use the filesystem after resizing (adding more space to a lvm2 ext3file system)

Version-Release number of selected component (if applicable):
LVM2

How reproducible:
Presented 2 Vdisks from HP EVA.Already a file system is mounted for 1 TB.Added 1 TB again.

Steps to Reproduce:

1. pvcreate /dev/sdXX
2. vgextend /dev/sdXX
3. lvextend -L +1023g /dev/vg00/lvolxx
4. resize2fs /dev/vg00/lvolxx
Please run 'e2fsck -f /dev/vg00/lvolxx' first
5. e2fsck -f /dev/vg00/lvolxx
6. Problem started


Actual results:


Result1:

mount /dev/mapper/vg00-lvolXX /mountdir
/dev/mapper/vg00-lvolXX mounted or /mountdir busy


Result 2 : 
e2fsck 1.35 (28-Feb-2004)
Superblock has a bad ext3 journal (inode 8).
Clear? yes

*** ext3 journal has been deleted - filesystem is now ext2 only ***

Resize inode not valid.  Recreate? yes

/dev/vg00/lvol2 contains a file system with errors, check forced.
Pass 1: Checking inodes, blocks, and sizes
Root inode is not a directory.  Clear? yes




Expected results:
   I should get my filesystem extended and mounted properly without interrupting/Losing my whole data.

Additional info:

It seems device mapper service is running on my server anyway. Could that cause the problem.

Comment 1 sivasura 2009-08-26 01:50:33 UTC
Steps to Reproduce:

1. pvcreate /dev/sdXX
2. vgextend /dev/sdXX
3. lvextend -L +1023g /dev/vg00/lvolxx
3.1 umount /mountdir
4. resize2fs /dev/vg00/lvolxx
Please run 'e2fsck -f /dev/vg00/lvolxx' first
5. e2fsck -f /dev/vg00/lvolxx
6. Problem started

Comment 2 Milan Broz 2009-08-26 07:19:28 UTC
lvm2 allows on-line resize of underlying LV and it apparently works here.

Reassigning to e2fstools - seems that there is problem, but unfortunately the report missing important logs (neither lvm2 nor resize2fs is attached).

It seems to me that the fs was not in good condition before the resize...

Comment 3 sivasura 2009-08-26 10:25:30 UTC
Created attachment 358698 [details]
FSCK Log of our server neelgiri

I have attached the FSCK log.

The below one are the lvm command outputs. I can see the logical volume is extended to 2TB. But when i was trying to extend the filsystem with resize2fs it asked me to run e2fsck, and after running to e2fsck  the output log is attached. It ended with a error Segmentation fault.

Please let me know if i can recover my old data or not.

[root@neelgiri ~]# pvscan

 PV /dev/sdm1    VG voltst   lvm2 [100.00 GB / 0    free]
  PV /dev/sdp1    VG vg00     lvm2 [2.00 TB / 0    free]
  PV /dev/sdaf1   VG vg00     lvm2 [1022.99 GB / 0    free]
  PV /dev/sdn     VG vg00     lvm2 [1023.99 GB / 0    free]
  PV /dev/sdo     VG vg00     lvm2 [1023.99 GB / 8.00 MB free]
  Total: 5 [5.10 TB] / in use: 5 [5.10 TB] / in no VG: 0 [0   ]

[root@neelgiri ~]# vgdisplay

 --- Volume group ---
  VG Name               voltst
  System ID
  Format                lvm2
  Metadata Areas        1
  Metadata Sequence No  14
  VG Access             read/write
  VG Status             resizable
  MAX LV                256
  Cur LV                1
  Open LV               0
  Max PV                256
  Cur PV                1
  Act PV                1
  VG Size               100.00 GB
  PE Size               4.00 MB
  Total PE              25599
  Alloc PE / Size       25599 / 100.00 GB
  Free  PE / Size       0 / 0
  VG UUID               OK7867-NP8f-BPdq-5k0x-qTHy-awtd-SecOvp

  --- Volume group ---
  VG Name               vg00
  System ID
  Format                lvm2
  Metadata Areas        4
  Metadata Sequence No  37
  VG Access             read/write
  VG Status             resizable
  MAX LV                256
  Cur LV                3
  Open LV               1
  Max PV                256
  Cur PV                4
  Act PV                4
  VG Size               5.00 TB
  PE Size               8.00 MB
  Total PE              655100
  Alloc PE / Size       655099 / 5.00 TB
  Free  PE / Size       1 / 8.00 MB
  VG UUID               407Urx-1TW5-17px-7QA8-3TV3-ElAD-kpQi4u


[root@neelgiri ~]# lvdisplay

--- Logical volume ---
  LV Name                /dev/voltst/voltst
  VG Name                voltst
  LV UUID                hb5N0C-JZ8m-s43C-YSjq-Y82w-L0N6-CnSGQ3
  LV Write Access        read/write
  LV Status              available
  # open                 0
  LV Size                100.00 GB
  Current LE             25599
  Segments               1
  Allocation             inherit
  Read ahead sectors     0
  Block device           253:0

  --- Logical volume ---
  LV Name                /dev/vg00/lvol01
  VG Name                vg00
  LV UUID                hHL2ab-fJzn-EOSo-C4Z4-MU7l-mxjD-lR9HmP
  LV Write Access        read/write
  LV Status              available
  # open                 1
  LV Size                2.00 TB
  Current LE             262016
  Segments               2
  Allocation             inherit
  Read ahead sectors     0
  Block device           253:1

  --- Logical volume ---
  LV Name                /dev/vg00/lvol2
  VG Name                vg00
  LV UUID                fbiaBO-f1Ta-VABm-C7p4-FzsZ-asFB-MBpA2w
  LV Write Access        read/write
  LV Status              available
  # open                 0
  LV Size                2.00 TB
  Current LE             262013
  Segments               2
  Allocation             inherit
  Read ahead sectors     0
  Block device           253:3

Comment 4 Eric Sandeen 2009-08-27 17:12:06 UTC
(In reply to comment #1)
> Steps to Reproduce:
> 
> 1. pvcreate /dev/sdXX
> 2. vgextend /dev/sdXX
> 3. lvextend -L +1023g /dev/vg00/lvolxx
> 3.1 umount /mountdir
> 4. resize2fs /dev/vg00/lvolxx
> Please run 'e2fsck -f /dev/vg00/lvolxx' first
> 5. e2fsck -f /dev/vg00/lvolxx
> 6. Problem started  

if you are doing umount /mountdir I assume there are some steps such as mkfs & mount missing from the above?

If you can reproduce the problem, can you run e2fsck -f after each step to see when the corruption started?

The e2fsck segfault is a separate problem; if you want to file another bug & attach a compressed raw e2image of that device we can look into that too.

Thanks,
-Eric

Comment 5 Eric Sandeen 2009-11-13 22:01:27 UTC
ping?  Can the reporter answer the questions in comment #4?

Comment 6 Eric Sandeen 2009-12-01 23:30:22 UTC
Was in needinfo for 3+ months with no reply; if you can provide the requested information please feel free to re-open.

If you can provide the exact steps to reproduce and before/after sizes, I can investigate further.

Thanks,
-Eric